require 'mailcatcher/api/version'
require 'mailcatcher/api/config'
require 'mailcatcher/api/mailbox'

module MailCatcher
  module API
    class << self
      attr_accessor :config
    end

    def self.config
      @config ||= Config.new
    end

    def self.configure
      yield(config)
    end
  end
end
