require 'mailcatcher/api/client'
require 'mailcatcher/api/mailbox/message_collection'

module MailCatcher
  module API
    class Mailbox
      def messages(reload: false)
        @messages = nil if reload == true
        @messages ||= MessageCollection.new
      end

      def clear!
        MailCatcher::API::Client.delete_all
      end

      # Deprecated
      def count
        messages.count
      end
    end
  end
end
